Package de.geolykt.starloader.mod

# Class DiscoveredExtension.ExternalDependencyArtifact

java.lang.Object
de.geolykt.starloader.mod.DiscoveredExtension.ExternalDependencyArtifact

Enclosing class:
  `DiscoveredExtension`

public static final class DiscoveredExtension.ExternalDependencyArtifact extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalDependencyArtifact(@NotNull String group, @NotNull String artifact, @NotNull org.stianloader.picoresolve.version.VersionRange version, @Nullable String classifier, @NotNull String extension, @NotNull org.stianloader.picoresolve.exclusion.ExclusionContainer<org.stianloader.picoresolve.exclusion.Exclusion> exclusions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@NotNull String`
  `getArtifact()`
  `@Nullable String`
  `getClassifier()`
  `@NotNull org.stianloader.picoresolve.exclusion.ExclusionContainer<org.stianloader.picoresolve.exclusion.Exclusion>`
  `getExclusions()`
  `@NotNull String`
  `getExtension()`
  `@NotNull String`
  `getGroup()`
  `@NotNull org.stianloader.picoresolve.version.VersionRange`
  `getVersion()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExternalDependencyArtifact

    public ExternalDependencyArtifact(@NotNull @NotNull String group, @NotNull @NotNull String artifact, @NotNull @NotNull org.stianloader.picoresolve.version.VersionRange version, @Nullable @Nullable String classifier, @NotNull @NotNull String extension, @NotNull @NotNull org.stianloader.picoresolve.exclusion.ExclusionContainer<org.stianloader.picoresolve.exclusion.Exclusion> exclusions)

- ## Method Details

  - ### getArtifact

    @NotNull public @NotNull String getArtifact()

  - ### getClassifier

    @Nullable public @Nullable String getClassifier()

  - ### getExclusions

    @NotNull public @NotNull org.stianloader.picoresolve.exclusion.ExclusionContainer<org.stianloader.picoresolve.exclusion.Exclusion> getExclusions()

  - ### getExtension

    @NotNull public @NotNull String getExtension()

  - ### getGroup

    @NotNull public @NotNull String getGroup()

  - ### getVersion

    @NotNull public @NotNull org.stianloader.picoresolve.version.VersionRange getVersion()